# Cancel Reservation V2 **POST /v2/reservation/cancel** API which will do the cancellation of the given reservation. Response includes penaltyAmount (the cancellation penalty charged). ## Servers - qa server: https://qa-partner.momorooms.com (qa server) - production server: https://partner.momorooms.com (production server) ## Authentication methods - O auth security ## Parameters ### Body: application/json (object) - **reservationId** (integer(int64)) Reservation ID to be cancelled. - **cancelReason** (string) Reason for the cancellation. ## Responses ### 200 OK #### Body: application/json (object) - **cancelStatus** (string) Cancellation Status
Cancellation Status Cancellation Value
Cancellation is in SuccessSUCCESS
Cancellation is in FailedFAILED
- **currencyCode** (string) Currency code of the refundAmount - **refundAmount** (number) The amount to be refunded to the customer after cancellation. - **penaltyAmount** (number) The cancellation penalty charged. ### 400 Client Side Error #### Body: application/json (object) - **errors** (array[object]) ### 500 Server Side Error #### Body: application/json (object) - **errors** (array[object]) [Powered by Bump.sh](https://bump.sh)